<!--
SPDX-FileCopyrightText: 2020 Open Networking Foundation <info@opennetworking.org>

SPDX-License-Identifier: LicenseRef-ONF-Member-Only-1.0
-->

# SD-Fabric chart

## Prerequest

See [SD-Fabric deployment guide](https://docs.sd-fabric.org/master/deployment.html) and
deploy all necessary components like Kubernetes and switch.

## Configuration

| Name | Description |
|------|-------------|
| .Values.image.credential.secretName | Name for the Kubernetes secret to store the credential |
| .Values.image.credential.registry | The container registry |
| .Values.image.credential.username | The username to login the container registry |
| .Values.image.credential.password | The password to login the container registry |
| .Values.onos-classic | See <https://github.com/onosproject/onos-helm-charts/tree/master/onos-classic> |
| .Values.stratum | See <https://github.com/stratum/stratum-helm-charts/tree/master/stratum> |

## Installation

Modify values.yaml according to the explanations above, then run the following command:

```bash
helm upgrade --install -f my-values.yaml sdfabric .
```

This command will deploy the SD-Fabric helm chart with release name `sdfabric` in the current context.
